# $Id: smeserver-dansguardian-stats.spec,v 1.1 2013/05/24 21:48:00 unnilennium Exp $
# Authority: jesperknudsen
# Name: Jesper Knudsen

Summary: SME Server 7.x Dansguardian Statistics Interface
%define name smeserver-dansguardian-stats
%define version 2.0
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tgz
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-release >= 7.0
Requires: perl-DateManip => 5.40
Requires: smeserver-dansguardian
Requires: dansguardian

%changelog
* Wed Jun 02 2010 Shad L. Lords <slords@mail.com> 2.0-1.sme
- Clean up spec for importing into CVS

* Wed May 20 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.3-1
- Updated log parser to handle blocked sites better and avoid categories which was represented as numbers rather than names

* Wed Apr 29 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.2-1
- Updated log parser to handle "EXCEPTION" 
- Changed pie chart to bars and updated CSS

* Fri Apr 24 2009 Jesper Knudsen <jesper@swerts-knudsen.dk> 1.0.0-1
- First release

%description
SME Server 7x Dansguardian statistics interface which provided a web interface where scanned, blocked and infected
sites can be seen

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
